/* lifecalc.h: Variables and functions provided by lifecalc.c.		*/
/*									*/
/* (C) 1997 by Brian Raiter, under the terms of the GNU General Public	*/
/* License ver. 2 (or any later version, if you like).			*/

#ifndef	__LIFECALC_H__
#define	__LIFECALC_H__


/* A local copy of the Table of Changes. */
extern BYTE	IChing[256];

/* A (16-bit) pointer to the actual Life world. */
extern LPWORLD	lpWorld;

/* The dimensions of the Life world. */
extern int	cxField, cyField;

/* The dimensions of the active band of the Life world. */
extern int	yFirst, cyActive;

/* Time accumulator used when timing Life. */
extern DWORD	dwGodTime;

/* The current generation number and population count. */
extern UINT	generation, population;

/* How many more generations we need to run. */
extern UINT	nTickBack;

/* Non-zero if we are currently running. */
extern BOOL	bRealTime;


/* Function to setup and alter the Life world. */
extern BOOL SetSpace(int, int, UINT);

/* Function to re-initialize the Life world after it is externally changed. */
extern UINT TakeCensus(void);

/* Erases the contents of the Life world. */
extern UINT EmptyWorld(void);

/* Fills the Life world randomly. */
extern UINT RandomizeWorld(UINT, UINT);

/* Entry point to set the Life world into motion in first gear. */
extern UINT LifeLoop1stGear(HDC);

/* Entry point to set the Life world into motion in overdrive. */
extern UINT LifeLoopOverdrive(HDC);


#endif	/*  __LIFECALC_H__  */
