/* lifedisp.h: Variables and functions provided by lifedisp.c.		*/
/*									*/
/* (C) 1997 by Brian Raiter, under the terms of the GNU General Public	*/
/* License ver. 2 (or any later version, if you like).			*/

#ifndef	__LIFEDISP_H__
#define	__LIFEDISP_H__


/* The current magnification level of the Life world display. */
extern int	magnification;

/* The origin of the Life world display. */
extern int	xOrg, yOrg;

/* Function to manage the general window display. */
extern BOOL SetWindow(HWND, int, int, UINT);

/* Function to manage which part of the Life world is displayed. */
extern BOOL SetView(HWND, int, int, UINT);

/* Function to manage the magnification level. */
extern BOOL SetMagnification(HWND, int, UINT);

/* Function called just before painting to the main window. */
extern void PrepPaint(HDC);

/* Function called just after painting to the main window. */
extern void FinishPaint(HDC);

/* Paints the static areas of the window. */
extern void DoWindowDressing(HDC);

/* Paints the dynamic areas of the window. */
extern void __fastcall TickUpdate(HDC);

/* Paints the dynamic areas of the window when running in Overdrive. */
extern void __fastcall TickUpdateOverdrive(HDC);

/* Paints the dynamic areas of the window during a view change. */
extern void ViewPaint(HWND);


#endif	/*  __LIFEDISP_H__  */
